Bug Hunting Session
Bug 44533 - SLIDESHOW: CRASH when play particular presentation with sound
Summary: SLIDESHOW: CRASH when play particular presentation with sound
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium major
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-06 08:27 UTC by Rainer Bielefeld Retired
Modified: 2012-01-14 05:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Bt with symbols (8.91 KB, text/plain)
2012-01-08 12:56 UTC, Julien Nabet
Details
Console logs (1.52 KB, text/plain)
2012-01-08 14:06 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-01-06 08:27:56 UTC
Steps how to reproduce with Parallel Dev-Installation of  "LibreOffice 3.5.0 Beta2- WIN7 Home Premium (64bit) German UI [Build-ID : 8589e48-760cc4d-f39cf3d-1b2857e-60db978] :

0. Download sample document from "Bug 35235 - [UI] Mediaplayer: Replay of 
   Audio does not work"
1. Start LibO
2. Open document from LibO Start Center File menu
3. <fF9> to start presentation
   Expected: Music
   Actual: Crash

I also observed that with Server installation of Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) German UI [(Build ID:  6b0de40-0bc4ff4-ca7e6f5-9125509-ce71330)]" (111111)

No crash with Server installation of Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) English UI [(Build ID:  3b32204-7f92fce-2ba0a9f)]" (110903), but with that version no music was played (we had a report for this) 

Reproducible with various versions, so NEW.

@Thorsten:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 1 Julien Nabet 2012-01-08 12:56:36 UTC
Created attachment 55314 [details]
Bt with symbols

I reproduced the bug on master (future 3.6) updated today.
Debian x86-64.
I attached the backtrace, it may help.
Comment 2 Julien Nabet 2012-01-08 14:06:20 UTC
Created attachment 55315 [details]
Console logs

Here are the console logs too which show this particularly :
/usr/include/c++/4.6/bits/stl_algo.h:5948:error: elements in iterator range 
    [__first1, __last1) are not sorted
Comment 3 Julien Nabet 2012-01-14 05:42:37 UTC
Fixed in master and 3.5 branch, see thread http://nabble.documentfoundation.org/PATCH-proposed-fix-for-fdo-44533-tp3643134p3643134.html